
/**
 * Module dependencies.
 */

var mongoose = require('mongoose');
var building = require('../../app/controllers/building');
var utils = require('../../utils');

/**
 * Expose
 */
module.exports = function (app, passport) {

    app.get('/buildings', building.read);

    app.get('/buildings/create-config', building.createConfig);

    // app.get('/buildings/:buildingId', utils.ensureAuthenticated, building.detail);
    app.get('/buildings/:buildingId', building.detail);

    // app.post('/buildings', utils.ensureAuthenticated, building.create);
    app.post('/buildings', building.create);

    // app.put('/buildings/:buildingId', utils.ensureAuthenticated, building.update);
    app.put('/buildings/:buildingId', building.update);

    // app.delete('/buildings/:buildingId', utils.ensureAuthenticated, building.delete);
    app.delete('/buildings/:buildingId', building.delete);
}
