
/**
 * Module dependencies.
 */

var mongoose = require('mongoose');
var follower = require('../../app/controllers/follower');
var utils = require('../../utils');

/**
 * Expose
 */
module.exports = function (app, passport) {
    // app.get('/following', utils.isAuthenticatedProfile, follower.following);
    app.get('/following', follower.following);
    // app.get('/followers', utils.isAuthenticatedProfile, follower.followers);
    app.get('/followers', follower.followers);
    // app.post('/follow/:followerId', utils.isAuthenticatedProfile, follower.follow);
    app.post('/follow/:followerId', follower.follow);
    // app.post('/unfollow/:followerId', utils.isAuthenticatedProfile, follower.unfollow);
    app.post('/unfollow/:followerId', follower.unfollow);
}
