
/**
 * Module dependencies.
 */

var mongoose = require('mongoose');
var level = require('../../app/controllers/level');
var utils = require('../../utils');

/**
 * Expose
 */
module.exports = function (app, passport) {

    app.get('/levels', level.read);

    // app.get('/levels/:levelId', utils.ensureAuthenticated, level.detail);
    app.get('/levels/:levelId', level.detail);

    // app.post('/levels', utils.ensureAuthenticated, level.create);
    app.post('/levels', level.create);

    // app.put('/levels/:levelId', utils.ensureAuthenticated, level.update);
    app.put('/levels/:levelId', level.update);

    // app.delete('/levels/:levelId', utils.ensureAuthenticated, level.delete);
    app.delete('/levels/:levelId', level.delete);
}
