
/**
 * Module dependencies.
 */

var mongoose = require('mongoose');
var adminuser = require('../../app/controllers/adminuser');
var utils = require('../../utils');

/**
 * Expose
 */
module.exports = function (app, passport) {

    // app.post('/auth/email/login', passport.authenticate('local'), admin.login);

    app.post('/adminuser/login', adminuser.login);

    app.post('/adminuser/register', adminuser.register);

    app.delete('/adminuser/deleteUser', adminuser.deleteUser);

    app.get('/adminuser/getAllUser', adminuser.getAllUser);

    app.put('/adminuser/:userId', adminuser.update);

    app.get('/adminuser/forgotPassword', adminuser.forgotPassword);

    app.get('/adminuser/setNewPassword', adminuser.setNewPassword);


    // app.post('/auth/email/login', users.login);
    //
    // app.get('/user', utils.ensureAuthenticated, users.read);
    //
    // app.post('/users', users.create);
    //
    // app.get('/users/:userId', users.load);
    //
    // app.put('/users/:userId', utils.ensureAuthenticated, users.update);
    //
    // app.delete('/users/:userId', users.delete);
    //
    // app.get('/user/verify', users.verify);
    //
    // app.get('/user.js', users.authenticatedUser);
    //
    // app.post('/user/forgotpassword', users.forgotPassword);
    //
    // app.get('/user/resetpage', users.resetpage);
    //
    // app.post('/user/resetpassword', users.resetPassword);
};
